# vscode-config
@ToothlessHaveBun's Visual Studio Code config files

> [!WARNING]
>
> Don’t blindly use my settings unless you know what that entails. Use at your own risk!

```plaintext
.
├── LICENSE
├── README.md
└── .vscode
    └── settings.json  // This one is the config file
```

## :arrow_double_up: Plugins

 - [.NET Install Tool](https://marketplace.visualstudio.com/items?itemName=ms-dotnettools.vscode-dotnet-runtime)
 - [Astro](https://marketplace.visualstudio.com/items?itemName=astro-build.astro-vscode)
 - [C/C++](https://marketplace.visualstudio.com/items?itemName=ms-vscode.cpptools)
 - [C/C++ Compile Run](https://marketplace.visualstudio.com/items?itemName=danielpinto8zz6.c-cpp-compile-run)
 - [C/C++ Extension Pack](https://marketplace.visualstudio.com/items?itemName=ms-vscode.cpptools-extension-pack)
 - [CMake](https://marketplace.visualstudio.com/items?itemName=twxs.cmake)
 - [CMake Tools](https://marketplace.visualstudio.com/items?itemName=ms-vscode.cmake-tools)
 - [Competitive Programming Helper (cph)](https://marketplace.visualstudio.com/items?itemName=DivyanshuAgrawal.competitive-programming-helper)
 - [Dev Containers](https://marketplace.visualstudio.com/items?itemName=ms-vscode-remote.remote-containers)
 - [Docker](https://marketplace.visualstudio.com/items?itemName=ms-azuretools.vscode-docker)
 - [EJS launguage support](https://marketplace.visualstudio.com/items?itemName=DigitalBrainstem.javascript-ejs-support)
 - [GitHub Codespaces](https://marketplace.visualstudio.com/items?itemName=GitHub.codespaces)
 - [GitHub Pull Requests](https://marketplace.visualstudio.com/items?itemName=GitHub.vscode-pull-request-github)
 - [GitHub Repositories](https://marketplace.visualstudio.com/items?itemName=GitHub.remotehub)
 - [Live Preview](https://marketplace.visualstudio.com/items?itemName=ms-vscode.live-server)
 - [Markdown PDF](https://marketplace.visualstudio.com/items?itemName=yzane.markdown-pdf)
 - [MDX](https://marketplace.visualstudio.com/items?itemName=unifiedjs.vscode-mdx)
 - [Python](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
 - [Vue](https://marketplace.visualstudio.com/items?itemName=Vue.volar)
 - [YAML](https://marketplace.visualstudio.com/items?itemName=redhat.vscode-yaml)

## :camera_flash: Screen Shorts

<img width="1582" alt="Screenshort1" src="https://github.com/user-attachments/assets/e7cdf12f-640a-469d-9702-a4a609c4f44e" />

<img width="1582" alt="Screenshort1" src="https://github.com/user-attachments/assets/0946fedb-8e70-4e28-9b8b-fa5184faa176" />

## :heartpulse: Colorful

 - Color Theme: Defult Dark Modern
 - Icon Theme: [Monospace Theme](https://marketplace.visualstudio.com/items?itemName=keksiqc.idx-monospace-theme)
 - Font: [Monaspace Neon](https://monaspace.githubnext.com/)

## Author

fredcss.dev &copy; **[Frederick Chen](https://www.ohdragonboi.cn)** | Published under [MIT-License](LICENSE).

<h6><samp><a href="https://fredcss.dev">portfolio</a> · <a href="https://www.ohdragonboi.cn">blog</a> · github <a href="https://github.com/ToothlessHaveBun">(@ToothlessHaveBun)</a> · twitter(x) <a href="https://x.com/FrederickAsYou">(@FrederickAsYou)</a> · bluesky <a href="https://bsky.app/profile/fredcss17.bsky.social">(@fredcss17.bsky.social)</a></samp><h6>
